| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
ISelectStatement Class Referenceabstract

A select statement can either contain. More...

`#include <GaudiKernel/ISelectStatement.h>`

Inheritance diagram for ISelectStatement:
[legend]
Collaboration diagram for ISelectStatement:
[legend]

## Public Types
enum | SelectType { FUNCTION = 1 << 1, STRING = 1 << 2, FULL = 1 << 3, OTHER = 1 << 4 }
| Statement type definition. More...
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...

## Public Member Functions
| DeclareInterfaceID (ISelectStatement, 2, 0)
| InterfaceID. More...
virtual long | type () const =0
| Access the type of the object. More...
virtual const std::string & | criteria () const =0
| Access the selection string. More...
virtual void | setCriteria (const std::string &crit)=0
| Set the type. More...
virtual void | setActive (bool flag=true)=0
| Change activity flag. More...
virtual bool | isActive () const =0
| Check if selection is active. More...
virtual bool | operator() (void *val)=0
| Stupid default implementation. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

A select statement can either contain.

- a string e.g. for refining an SQL statement
- a function object, which will be called back in order to refine a selection. This happens in calling sequences like the following:

bool MySelect::operator()(IValueLocator* l) { float px, py, pz; if ( l->get("PX",px) && l->get("PY",py) && l->get("PZ",pz) ) { float mom = sqrt(px*px+py*py+pz*pz); return mom > 100.0 * GeV; } return false; }

if "true" is returned, the object will be loaded completely.

Author
  M.Frank

Version
  1.0

Definition at line 32 of file ISelectStatement.h.

## Member Enumeration Documentation

enum ISelectStatement::SelectType

Statement type definition.

Enumerator
FUNCTION |
STRING |
FULL |
OTHER |

Definition at line 39 of file ISelectStatement.h.

39 { FUNCTION = 1 << 1, STRING = 1 << 2, FULL = 1 << 3, OTHER = 1 << 4 };
ISelectStatement::STRING
Definition: ISelectStatement.h:39
ISelectStatement::FULL
Definition: ISelectStatement.h:39
ISelectStatement::FUNCTION
Definition: ISelectStatement.h:39
ISelectStatement::OTHER
Definition: ISelectStatement.h:39

## Member Function Documentation

virtual const std::string& ISelectStatement::criteria | ( |  | ) | const
| pure virtual

Access the selection string.

ISelectStatement::DeclareInterfaceID | ( | ISelectStatement | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual bool ISelectStatement::isActive | ( |  | ) | const
| pure virtual

Check if selection is active.

virtual bool ISelectStatement::operator() | ( | void * | val | ) |
| pure virtual

Stupid default implementation.

virtual void ISelectStatement::setActive | ( | bool | flag = `true` | ) |
| pure virtual

Change activity flag.

virtual void ISelectStatement::setCriteria | ( | const std::string & | crit | ) |
| pure virtual

Set the type.

virtual long ISelectStatement::type | ( |  | ) | const
| pure virtual

Access the type of the object.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ISelectStatement.h